---
title: additive-symbols
slug: Web/CSS/@counter-style/additive-symbols
tags:
  - '@counter-style'
  - At-rule descriptor
  - CSS
  - CSS Counter Styles
  - CSS Descriptor
  - Reference
---
<div>{{CSSRef}}</div>

<p>The <strong><code>additive-symbols</code></strong> descriptor lets you specify symbols when the value of a counter {{cssxref('system')}} descriptor is <code>additive</code>. The <code>additive-symbols</code> descriptor defines <em>additive tuples</em>, each of which is a pair containing a symbol and a non-negative integer weight. The additive system is used to construct <a href="http://en.wikipedia.org/wiki/Sign-value_notation">sign-value numbering</a> systems such as Roman numerals.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">additive-symbols: 3 "0";
additive-symbols: 3 "0", 2 "\2E\20";
additive-symbols: 3 "0", 2 url(symbol.png);
</pre>

<p>When the <code>system</code> descriptor is <code>cyclic</code>, <code>numeric</code>, <code>alphabetic</code>, <code>symbolic</code>, or <code>fixed</code>, use the {{cssxref('symbols')}} descriptor instead of <code>additive-symbols</code>.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Specifying_additive_symbols">Specifying additive symbols</h3>

<h4 id="HTML">HTML</h4>

<pre class="html prettyprint notranslate" id="htmlOutput">&lt;ul class="list"&gt;
  &lt;li&gt;One&lt;/li&gt;
  &lt;li&gt;Two&lt;/li&gt;
  &lt;li&gt;Three&lt;/li&gt;
  &lt;li&gt;Four&lt;/li&gt;
  &lt;li&gt;Five&lt;/li&gt;
&lt;/ul&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">@counter-style additive-symbols-example {
  system: additive;
  additive-symbols: V 5, IV 4, I 1;
}
.list {
  list-style: additive-symbols-example;
}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Specifying_additive_symbols') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Counter Styles', '#counter-style-symbols', 'additive-symbols')}}</td>
   <td>{{Spec2('CSS3 Counter Styles')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.counter-style.additive-symbols")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("list-style")}}, {{Cssxref("list-style-image")}}, {{Cssxref("list-style-position")}}</li>
 <li>The {{cssxref("symbols", "symbols()")}}, functional notation is used for creating anonymous counter styles.</li>
</ul>
